INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/plugins
METASOURCES = AUTO

lib_LTLIBRARIES =libplugin_perl.la \
		  libplugin_perlpackages.la \
		  libplugin_cfiles.la \
		  libplugin_cache.la \
		  libplugin_compile.la \
		  libplugin_grep.la \
		  libplugin_editor.la \
		  libplugin_python.la

noinst_HEADERS = the_fly.hpp

libdir = /usr/lib/silent_bob

libplugin_perl_la_LDFLAGS = -module 
libplugin_perl_la_SOURCES = plugin_perl.cpp the_fly.cpp t_op2.cpp
libplugin_python_la_SOURCES= python.cpp plugin_python.cpp

libplugin_perlpackages_la_LDFLAGS = -module 
libplugin_perlpackages_la_SOURCES = plugin_perlpackages.cpp the_fly.cpp t_op2.cpp

libplugin_cfiles_la_SOURCES = plugin_c-files.cpp
libplugin_cache_la_SOURCES = plugin_cache.cpp
libplugin_editor_la_SOURCES = plugin_editor.cpp
libplugin_grep_la_SOURCES = plugin_grep.cpp
libplugin_compile_la_SOURCES = plugin_compile.cpp

install-exec-hook:
	rm -fr $(libdir)/*.so
	rm -fr $(libdir)/*.so.0
	rm -fr $(libdir)/*.a
	rm -fr $(libdir)/*.la
